type VoyagerOptions = {
    selector?: string;
    activeClass?: string;
    rootMarginTop?: string;
    rootMarginBottom?: string;
    threshold?: number;
};
declare class Voyager {
    private selector;
    private activeClass;
    private rootMarginTop;
    private rootMarginBottom;
    private threshold;
    private observer;
    private _links;
    constructor({ selector, activeClass, rootMarginTop, rootMarginBottom, threshold }?: VoyagerOptions);
    /**
     * Refresh the intersection observer and re-initialize it.
     */
    refresh(): void;
    /**
     * Handles the intersection of observed elements.
     */
    private _handleIntersect;
    /**
     * Destroys the observer and clears properties.
     */
    destroy(): void;
}
export default Voyager;
